<?xml version="1.0" encoding="UTF-8"?>
<project name="icu-deb" default="build-jars">
  <property name="source" value="1.5" />
  <property name="target" value="1.5" />
  <property name="debug" value="true" />
  <property name="optimize" value="true" />
  <!-- Locations are relative to the debian dir. -->
  <property name="output.dir" value=".." />
  <property name="source.base.dir" location=".eclipse-build/eclipse-build/out/projects/plugins" />

  <target name="init">
    <mkdir dir="${output.dir}" />
  </target>
  <target name="build-jars">
    <antcall target="build-jar">
      <param name="build.part" value="com.ibm.icu.base" />
    </antcall>
    <antcall target="build-jar">
      <param name="build.part" value="com.ibm.icu" />
    </antcall>
  </target>

  <target name="build-jar" depends="init">
    <mkdir dir="${output.dir}/" />
    <javac srcdir="${source.base.dir}/${build.part}/src/" destdir="${source.base.dir}/${build.part}/"
	   optimize="${optimize}" debug="${debug}" source="${source}" target="${target}"
	   fork="yes" />
    <move todir="${source.base.dir}/${build.part}">
      <fileset dir="${source.base.dir}/${build.part}/src">
	<exclude name="**/*.java" />
      </fileset>
    </move>
    <jar destfile="${output.dir}/${build.part}.jar"
	 manifest="${source.base.dir}/${build.part}/META-INF/MANIFEST.MF"
	 >
      <fileset dir="${source.base.dir}/${build.part}" >
	<exclude name="**/.*/**" />
	<exclude name="**/src/**" />
      </fileset>
    </jar>
  </target>
</project>
